Link companies to a person
curl --request POST \
--url https://api.wellapp.ai/v1/people/{peopleId}/relationships/companies \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"data": [
{
"type": "company",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"meta": {}
}
]
}
'import requests
url = "https://api.wellapp.ai/v1/people/{peopleId}/relationships/companies"
payload = { "data": [
{
"type": "company",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"meta": {}
}
] }
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: [{type: 'company', id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', meta: {}}]
})
};
fetch('https://api.wellapp.ai/v1/people/{peopleId}/relationships/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"type": "company",
"id": "8a4db4c2-bb41-4099-8240-4f2b0faf2c6e"
}
],
"included": [
{
"type": "company",
"id": "8a4db4c2-bb41-4099-8240-4f2b0faf2c6e",
"attributes": {
"name": "TechCorp Solutions",
"description": "An innovative technology company focused on AI solutions",
"created_at": "2025-08-04T07:39:06.956Z",
"updated_at": null
}
}
]
}{
"code": "SCHEMA_VALIDATION_ERROR",
"status": 400,
"title": "Validation Error",
"message": "The request is invalid",
"meta": {
"log_id": "65c669d4-679c-4a8b-b8c0-fbe37699bb5b"
},
"details": [
{
"instancePath": "<string>",
"schemaPath": "<string>",
"keyword": "<string>",
"params": {},
"message": "<string>"
}
]
}{
"code": "UNAUTHORIZED",
"status": 401,
"title": "Unauthorized",
"message": "You are not authorized to access this resource",
"meta": {
"log_id": "65c669d4-679c-4a8b-b8c0-fbe37699bb5b"
}
}{
"code": "PERSON_NOT_FOUND",
"status": 404,
"title": "Person Not Found",
"message": "The requested person could not be found",
"meta": {
"log_id": "65c669d4-679c-4a8b-b8c0-fbe37699bb5b"
}
}People
Link Companies to Person
Link existing companies to a person
POST
/
v1
/
people
/
{peopleId}
/
relationships
/
companies
Link companies to a person
Headers
Bearer token for authentication
Path Parameters
UUID of the person to link companies to
Body
application/json
Show child attributes
Show child attributes
⌘I